org.optaplanner.core.impl.score.stream.bi

## Class CompositeBiJoiner<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.bi.AbstractBiJoiner<A,B>
    - - org.optaplanner.core.impl.score.stream.bi.CompositeBiJoiner<A,B>

- All Implemented Interfaces:
    BiJoiner<A,B>

      public final class CompositeBiJoiner<A,B>
      extends AbstractBiJoiner<A,B>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeBiJoiner(List<SingleBiJoiner<A,B>> joinerList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SingleBiJoiner<A,B>>` | `getJoinerList()`
    `JoinerType[]` | `getJoinerTypes()`
    `Function<A,Object[]>` | `getLeftCombinedMapping()`
    `Function<A,Object>` | `getLeftMapping(int joinerId)`
    `Function<B,Object[]>` | `getRightCombinedMapping()`
    `Function<B,Object>` | `getRightMapping(int joinerId)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bi.AbstractBiJoiner

      `merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeBiJoiner

          public CompositeBiJoiner(List<SingleBiJoiner<A,B>> joinerList)

  - ### Method Detail

    - #### getJoinerList

          public List<SingleBiJoiner<A,B>> getJoinerList()

    - #### getLeftMapping

          public Function<A,Object> getLeftMapping(int joinerId)

      Specified by:
        `getLeftMapping` in class `AbstractBiJoiner<A,B>`

    - #### getLeftCombinedMapping

          public Function<A,Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractBiJoiner<A,B>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`

    - #### getRightMapping

          public Function<B,Object> getRightMapping(int joinerId)

      Specified by:
        `getRightMapping` in class `AbstractBiJoiner<A,B>`

    - #### getRightCombinedMapping

          public Function<B,Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractBiJoiner<A,B>`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.